import Navigine


class Convert: NSObject {
    class func deviceInfo(toObject deviceInfo: NCDeviceInfo?) -> Any? {
        var data: [AnyHashable : Any] = [:]
        data["x"] = deviceInfo?.x
        data["y"] = deviceInfo?.y
        data["id"] = deviceInfo?.id
        data["time"] = deviceInfo?.time
        data["time"] = deviceInfo?.time
        data["r"] = self.float(toNSNumber: deviceInfo?.r ?? 0.0)
        data["azimuth"] = self.float(toNSNumber: deviceInfo?.azimuth ?? 0.0)
        data["location"] = self.int(toNSNumber: deviceInfo?.location ?? 0)
        data["subLocation"] = self.int(toNSNumber: deviceInfo?.sublocation ?? 0)

        var paths: [AnyHashable] = []
        for i in 0..<(deviceInfo?.paths?.count ?? 0) {
            let path = deviceInfo?.paths?[i]
            if let path1 = self.path(toDict: path) as? AnyHashable {
                paths.append(path1)
            }
        }
        data["paths"] = paths

        var zones: [AnyHashable] = []
        for i in 0..<(deviceInfo?.zones?.count ?? 0) {
            let zone = deviceInfo?.zones?[i]
            if let zone1 = self.zone(toDict: zone) as? AnyHashable {
                zones.append(zone1)
            }
        }
        data["zones"] = zones

        return data
    }

    class func path(toDict path: NCRoutePath?) -> Any? {
        let pathDict: [AnyHashable : Any] = [:]
        // TODO parse this shit too

        return pathDict
    }

    class func zone(toDict zone: NCZone?) -> Any? {
        let pathDict: [AnyHashable : Any] = [:]
        // TODO parse this shit too

        return pathDict
    }

    class func locationInfo(toObject location: NCLocation?) -> Any? {
        let data: [AnyHashable : Any] = [:]

        return data
    }

    class func float(toNSNumber f: Float) -> Any? {
        return NSNumber(value: f)
    }

    class func int(toNSNumber value: Int) -> Any? {
        return NSNumber(value: value)
    }
}
